Module | Bio::KEGG::Common::PathwaysAsHash
In: | lib/bio/db/kegg/common.rb

The module providing pathways_as_hash method.

Bio::KEGG::* internal use only.

### Methods

pathways_as_hash

### Public Instance methods

pathways_as_hash()

Returns a Hash of the pathway ID and name in PATHWAY field.

[Source]

        # File lib/bio/db/kegg/common.rb, line 53
    53:       def pathways_as_hash
    54:         unless defined? @pathways_as_hash then
    55:           hash = {}
    56:           pathways_as_strings.each do |line|
    57:             sign, entry_id, name = line.split(/\s+/, 3)
    58:             hash[entry_id] = name
    59:           end
    60:           @pathways_as_hash = hash
    61:         end
    62:         @pathways_as_hash
    63:       end

[Validate]